petsc-3.6.2 2015-10-02
Report Typos and Errors

# KSPFCGTruncationType

Define how stored directions are used to orthogonalize in FCG

### Synopsis

    typedef enum {KSP_FCG_TRUNC_TYPE_STANDARD,KSP_FCG_TRUNC_TYPE_NOTAY} KSPFCGTruncationType;

KSP_FCG_TRUNC_TYPE_STANDARD uses all (up to mmax) stored directions KSP_FCG_TRUNC_TYPE_NOTAY uses the last max(1,mod(i,mmax)) stored directions at iteration i=0,1..

### See Also

: KSPFCG,KSPFCGSetTruncationType(),KSPFCGGetTruncationType()

Level:intermediate
Location:src/ksp/ksp/../../../include/petscksp.h
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages